# relay-registry

Function:
 Allows activitypub-relay to register itself with a description and keywords so that others can find relays and choose based on preferred relayed content.
 
Protocol:
* Simple http get:
* Register your relay
  - http(s)://registry.host.address?r=my.relay.address 
* Deregister your relay
  - http(s)://registry.host.address?d=my.relay.address
* Edit your relay
  - http(s)://registry.host.address?e=my.relay.address
* To prevent spoofing, when you access with one of these URLs, the registry calls back your site's index page to confirm its you.
* It will also read the description and tags from your relay, it does not have to be sent in the request.

(Will Work) with the universal activitypub relay.

# Implementation plan on the activity-pub relay.
Will add a YAML section to the default index page of the relay:
```
<!-- RELAY INFO
name: <host name>
note: <The note as displayed on the default index page>
tags: <up to 8 tags describing the preferred relay content>
hash: <May be implemented, still thinking on it, but would be a UUID identifying this particular relay>
-->
```
This information will be read from the relay by the registry to register it.